Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.faces.render
Class RenderKit

    java.lang.Object
      javax.faces.render.RenderKit

public abstract class RenderKit
extends java.lang.Object

Version:
  $Revision: 240265 $ $Date: 2005-08-26 11:34:59 -0400 (Fri, 26 Aug 2005) $
Author:
  Manfred Geiler (latest modification by $Author: mmarinschek $)

Constructor Summary
`RenderKit()`

Method Summary
`abstract void` | `addRenderer(java.lang.String family, java.lang.String rendererType, Renderer renderer)`
`abstract ResponseStream` | `createResponseStream(java.io.OutputStream out)`
`abstract ResponseWriter` | `createResponseWriter(java.io.Writer writer, java.lang.String contentTypeList, java.lang.String characterEncoding)`
`abstract Renderer` | `getRenderer(java.lang.String family, java.lang.String rendererType)`
`abstract ResponseStateManager` | `getResponseStateManager()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RenderKit

    public RenderKit()

Method Detail

### addRenderer

    public abstract void addRenderer(java.lang.String family,
                                     java.lang.String rendererType,
                                     Renderer renderer)

### getRenderer

    public abstract Renderer getRenderer(java.lang.String family,
                                         java.lang.String rendererType)

### getResponseStateManager

    public abstract ResponseStateManager getResponseStateManager()

### createResponseWriter

    public abstract ResponseWriter createResponseWriter(java.io.Writer writer,
                                                        java.lang.String contentTypeList,
                                                        java.lang.String characterEncoding)

### createResponseStream

    public abstract ResponseStream createResponseStream(java.io.OutputStream out)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD